# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Class GDataProtocol

    java.lang.Object
      com.google.gdata.client.GDataProtocol

    public class GDataProtocol

extends java.lang.Object

The GDataProtocol class defines various constant values used within the Google Data API.

Nested Class Summary
`static interface` `GDataProtocol.Error` The Error interface defines GData protocol response codes that are not defined in the base HTTP specification.
`static interface` `GDataProtocol.Header` The Header interface defines various header names used within the GData protocol.
`static interface` `GDataProtocol.Method` The Method interface defines extended method names used within the GData protocol.
`static interface` `GDataProtocol.Parameter` The Parameters interface defines basic query parameter names used within the Data protocol.
`static interface` `GDataProtocol.Query` The Query interface extends the basic set of parameter names with the common set that are used for GData feed queries.

Method Summary
`static boolean` `isWeakEtag(java.lang.String etag)` Returns `true` if an entity tag value is a weak Etag, as defined in `RFC2616, Section 3.11`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isWeakEtag

    public static boolean isWeakEtag(java.lang.String etag)

  Returns `true` if an entity tag value is a weak Etag, as defined in `RFC2616, Section 3.11`. Weak Etags can be used for weak comparisons, such as in some caching scenarios, but may not be used for strong validation (like update preconditions).

  Parameters:
    `etag` - entity tag value.
  Returns:
    `true` if value is a weak Etag.